#ifndef __OSP_IO_H__
#define __OSP_IO_H__

extern int osp_atoi(char *str);
extern  char * osp_strchr(const char *str, int ch);
extern  int osp_strlen(const char * str);
extern int osp_strcmp(const char *source,const char *dest);
extern  int osp_strncmp(const char *first,const char *last,int count);
extern unsigned long my_strnlen(const char *s, int count);
extern char * osp_itoa(int n, char * chBuffer);
extern char * osp_strcat(char * dest, const char * src);
extern char *osp_strcpy(char *strDest, const char *strSrc);
extern unsigned long osp_strtoul(const char *cp,char **endp,unsigned int base);
extern char * osp_strstr (register char *buf, register char *sub);	
extern  char*  osp_strtok(char* string_org,const char* demial);
extern  void *osp_memcpy(void *dst, const void *src, int len);
extern void *osp_memset (void *s,int c,int n);
extern int osp_printf(const char *fmt, ...);
extern int osp_sprintf(char *buf, const char *fmt, ...);
/*
函数名称：print_init
函数参数：uart_id
函数功能：打印组件初始化
*/
extern int print_init(int uart_id);

#endif
